Bug 1292832 - [abrt] devassistant-gui: display_handle_error(): python3.4 killed by SIGSEGV
[abrt] devassistant-gui: display_handle_error(): python3.4 killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: devassistant (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8993aac1ea5eefb86f031d4a9cf...
:
: 1351586 (view as bug list)
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-12-18 08:10 EST by Christian Stadelmann
Modified: 2016-11-24 11:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 11:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.87 KB, text/plain)
2015-12-18 08:10 EST, Christian Stadelmann
no flags Details
File: core_backtrace (13.88 KB, text/plain)
2015-12-18 08:10 EST, Christian Stadelmann
no flags Details
File: dso_list (14.93 KB, text/plain)
2015-12-18 08:10 EST, Christian Stadelmann
no flags Details
File: exploitable (100 bytes, text/plain)
2015-12-18 08:10 EST, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-18 08:10 EST, Christian Stadelmann
no flags Details
File: maps (68.99 KB, text/plain)
2015-12-18 08:10 EST, Christian Stadelmann
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-18 08:10 EST, Christian Stadelmann
no flags Details
File: open_fds (1019 bytes, text/plain)
2015-12-18 08:10 EST, Christian Stadelmann
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-12-18 08:10 EST, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2015-12-18 08:10:09 EST
Description of problem:
Steps to reproduce:
1. run a gnome+wayland session
2. open devassistant-gui
3. select python, than click on "gtk3" in popup menu
devassistant immediately crashes.

This issue is not present when using CLI or running devassistant-gui inside XWayland (with GDK_BACKEND=x11).

Version-Release number of selected component:
devassistant-gui-0.11.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/da-gui
crash_function: display_handle_error
executable:     /usr/bin/python3.4
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 display_handle_error at src/wayland-client.c:716
 #1 ffi_call_unix64 at ../src/x86/unix64.S:76
 #2 ffi_call at ../src/x86/ffi64.c:525
 #3 wl_closure_invoke at src/connection.c:945
 #4 dispatch_event at src/wayland-client.c:1173
 #5 dispatch_queue at src/wayland-client.c:1341
 #6 wl_display_dispatch_queue at src/wayland-client.c:1587
 #7 wl_display_roundtrip_queue at src/wayland-client.c:987
 #8 gtk_menu_shell_activate_item at gtkmenushell.c:1373
 #9 gtk_menu_shell_button_release at gtkmenushell.c:788
Comment 1 Christian Stadelmann 2015-12-18 08:10:15 EST
Created attachment 1107145 [details]
File: backtrace
Comment 2 Christian Stadelmann 2015-12-18 08:10:17 EST
Created attachment 1107146 [details]
File: core_backtrace
Comment 3 Christian Stadelmann 2015-12-18 08:10:18 EST
Created attachment 1107147 [details]
File: dso_list
Comment 4 Christian Stadelmann 2015-12-18 08:10:20 EST
Created attachment 1107148 [details]
File: exploitable
Comment 5 Christian Stadelmann 2015-12-18 08:10:21 EST
Created attachment 1107149 [details]
File: limits
Comment 6 Christian Stadelmann 2015-12-18 08:10:23 EST
Created attachment 1107150 [details]
File: maps
Comment 7 Christian Stadelmann 2015-12-18 08:10:25 EST
Created attachment 1107151 [details]
File: namespaces
Comment 8 Christian Stadelmann 2015-12-18 08:10:26 EST
Created attachment 1107152 [details]
File: open_fds
Comment 9 Christian Stadelmann 2015-12-18 08:10:28 EST
Created attachment 1107153 [details]
File: proc_pid_status
Comment 10 arnaldo 2016-06-30 07:47:36 EDT
*** Bug 1351586 has been marked as a duplicate of this bug. ***
Comment 11 Olivier Fourdan 2016-09-01 03:26:59 EDT
WAYLAND_DEBUG to the rescue, shows the app gets killed because of a Wayland protocol error:

[528761.079] wl_display@1.error(xdg_shell@13, 2, "destroyed popup not top most popup")
Comment 12 Olivier Fourdan 2016-09-01 08:24:48 EDT
Seems like devassistant-gui is umapping its toplevel window while the popup are still present, causing handle_popup_parent_destroyed() to be reached in mutter which will rightfully send back an error to the client, which kills it...

While this is no problem in X11, xsg-shell on Wayland won't allow that - So I am trying to see if we could avoid that at the gtk+ level, when an app does that, otherwise the fix would belong to the app.
Comment 13 Olivier Fourdan 2016-09-12 04:07:17 EDT
A fix for this has been pushed upstream in gtk+
Comment 14 Christian Stadelmann 2016-09-26 14:57:18 EDT
The crasher is gone, thanks!

Now the window is putting itself into background, which looks pretty weird. The window still has focus, but is not displayed topmost. Instead an inactive (insensitive) window is printed in front of devassistant-gui
Comment 15 Fedora End Of Life 2016-11-24 09:20:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.